Skip to main content
GET
/
test_framework
/
v1
/
aiagents
cURL
curl --request GET \
  --url https://api.cekura.ai/test_framework/v1/aiagents/ \
  --header 'X-CEKURA-API-KEY: <api-key>'
{
  "count": 123,
  "next": "https://api.cekura.ai/example/v1/example-external/?page=4",
  "previous": "https://api.cekura.ai/example/v1/example-external/?page=3",
  "results": [
    {
      "id": 123,
      "project": 123,
      "agent_name": "<string>",
      "contact_number": "<string>",
      "inbound": true,
      "description": "<string>",
      "language": "en",
      "assistant_id": "<string>",
      "chat_assistant_id": "<string>",
      "websocket_url": "<string>",
      "websocket_headers": {},
      "llm_system_prompt": "<string>",
      "llm_model": "gpt-4o",
      "llm_temperature": 0,
      "llm_max_tokens": 4096,
      "outbound_auto_call": false,
      "sip_endpoint": "<string>",
      "sip_auth": "<unknown>",
      "knowledge_base_files": "<string>",
      "transcript_provider": "",
      "assistant_provider": "",
      "vapi_api_key": "<string>",
      "retell_api_key": "<string>",
      "elevenlabs_api_key": "<string>",
      "bland_api_key": "<string>",
      "bland_data": "<string>",
      "livekit_api_key": "<string>",
      "livekit_data": "<string>",
      "pipecat_api_key": "<string>",
      "pipecat_data": "<string>",
      "koreai_client_secret": "<string>",
      "koreai_data": "<string>",
      "agentforce_client_secret": "<string>",
      "agentforce_data": "<string>",
      "custom_provider_api_key": "<string>",
      "custom_provider_data": "<string>",
      "vapi_data": "<string>",
      "retell_data": "<string>",
      "elevenlabs_data": "<string>",
      "trillet_api_key": "<string>",
      "trillet_data": "<string>",
      "synthflow_api_key": "<string>",
      "enabled_personalities": [
        123
      ],
      "dropoff_nodes": "<unknown>",
      "topic_nodes": "<unknown>",
      "pronunciation_words": "<unknown>",
      "spelling_word_types": "<unknown>",
      "auto_update_dropoff_nodes": true,
      "auto_update_topic_nodes": true,
      "hallucination_metric_kb_files": [
        123
      ],
      "outbound_numbers": "<unknown>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "auto_fetch_calls_enabled": false
    }
  ]
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
Example:

123

next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"

results
object[]